/**
 * @file
 * Js for adjusting grid height of selectors.
 */

var $ = jQuery;
(function ($) {

  /**
   * Attaching events to elements.
   */
  Drupal.behaviors.grid_height_normalizer = {
    attach: function (context, settings) {
      var selectors = Drupal.settings.grid_height.grid_selectors.split("\n");
      $.each(selectors, function(selector){
        var grid_selector = selectors[selector];
        if ($(grid_selector).length > 0) {
          equalgridboxheight($(grid_selector));
        }
      });
    }
  };

  /**
   * Attaching the event on ajax callback.
   */
  $(document).ajaxSuccess(function(data) {
    var selectors = Drupal.settings.grid_height.grid_selectors.split("\n");
    $.each(selectors, function(selector){
      var grid_selector = selectors[selector];
      if ($(grid_selector).length > 0) {
        equalgridboxheight($(grid_selector));
      }
    });
  });

  /**
   * Function for set equal height of selector.
   */
  function equalgridboxheight(grid_selector) {
    var tallest = 0;
    grid_selector.each(function() {
      var thisHeight = $(this).height();
      if (thisHeight > tallest) {
          tallest = thisHeight;
      }
    });
    grid_selector.height(tallest);
  };
})(jQuery);
